c  read_pl.f
c  Read pl.in input file.
c  Miroslav Broz (miroslav.broz@email.cz), Oct 1st 2008

      subroutine read_pl(n, Gm, r, v)

      implicit none
      integer n, i, ierr
      double precision Gm(n), r(3*n), v(3*n)

      open(unit=10, file="pl.in", form="formatted", status="old",
     :  iostat=ierr)
      if (ierr.ne.0) then
        write(*,*) "Error opening pl.in input file."
        stop
      endif

      read(10,*,err=990,end=990) n
      do i = 0, n-1
        read(10,*,err=990,end=990) Gm(i+1)
        read(10,*,err=990,end=990) r(3*i+1), r(3*i+2), r(3*i+3)
        read(10,*,err=990,end=990) v(3*i+1), v(3*i+2), v(3*i+3)
      enddo

      close(10)
      write(*,*) 'npl = ', n

      return
990   write(*,*) "Error reading pl.in input file."
      stop
      end


