c  read_pr.f
c  Read pr.in input file.
c  Miroslav Broz (miroslav.broz@email.cz), Oct 1st 2008

      subroutine read_pr(n)

      implicit none
      include "common.inc"
      integer n
      integer ntp, i, ierr

      open(unit=10, file="pr.in", form="formatted", status="old",
     :  iostat=ierr)
      if (ierr.ne.0) then
        write(*,*) "Error opening pr.in input file."
        stop
      endif

      read(10,*,err=990,end=990) Q_ab
      read(10,*,err=990,end=990) Q_sc
      read(10,*,err=990,end=990) g
      read(10,*,err=990,end=990) ntp
      do i = n+1, n+ntp
        read(10,*,err=990,end=990) Radius(i), rho(i)

        Radius(i) = Radius(i)*1.d-6
        rho(i) = rho(i)*1.d3
      enddo

      close(10)

      return
990   write(*,*) "Error reading pr.in input file."
      stop
      end


