c  a_g.f
c  Gravitacni zrychleni pro planetarni system.
c  Miroslav Broz (miroslav.broz@email.cz), Oct 1st 2008

      subroutine a_g(n, t, r, v, a)

      implicit none
      include "common.inc"
      integer n, i, j, k
      double precision t, r(3*n), v(3*n), a(3*n), Gm_r3

      do i = 0, n-1
        do k = 1, 3
          a(3*i+k) = 0.0
        enddo
        do j = 0, npl-1                ! pouze planety s m > 0 
          if (i.ne.j) then
            Gm_r3 = Gm(j+1) / (
     :        (r(3*j+1)-r(3*i+1))**2 +
     :        (r(3*j+2)-r(3*i+2))**2 +
     :        (r(3*j+3)-r(3*i+3))**2 )**1.5 ! tj. vyraz Gm/r^3
            do k = 1, 3
              a(3*i+k) = a(3*i+k) + Gm_r3 * (r(3*j+k)-r(3*i+k))
            enddo
          endif
        enddo
      enddo

      return
      end


