c  a_pr.f
c  Zrychleni Poyntingovym-Robertsonovym jevem.
c  Miroslav Broz (miroslav.broz@email.cz), Oct 1st 2008

      subroutine a_pr(n, t, r, v, a)

      implicit none
      include "common.inc"
      integer n, i, j, k
      double precision t, r(3*n), v(3*n), a(3*n), Gm_r3
      double precision r0, Phi, S, m, n0(3), nv_c, tmp, a_g, beta
      integer i1st
      save i1st
      data i1st /1/

      do i = npl, n-1           ! vyjma Slunce a planet

        r0 = sqrt(
     :     (r(3*i+1) - r(1))**2
     :   + (r(3*i+2) - r(2))**2
     :   + (r(3*i+3) - r(3))**2
     :   ) * AU
        Phi = L_S/(4.d0*pi*r0**2)
        S = pi*Radius(i+1)**2
        m = 4.d0/3.d0*pi*Radius(i+1)**3 * rho(i+1)

        n0(1) = (r(3*i+1)-r(1))*AU / r0
        n0(2) = (r(3*i+2)-r(2))*AU / r0
        n0(3) = (r(3*i+3)-r(3))*AU / r0

        nv_c = (
     :      n0(1)*v(3*i+1)
     :    + n0(2)*v(3*i+2)
     :    + n0(3)*v(3*i+3)
     :    ) / c * (AU/day)

        tmp = (Q_ab + g*Q_sc) * Phi*S/(m*c) / (AU/day**2)

        if (i1st.eq.1) then
          a_g = sqrt(a(3*i+1)**2 + a(3*i+2)**2 + a(3*i+3)**2)
          beta = tmp/a_g
          write(*,*) '# beta = ', beta
          i1st = 0
        endif

        do k = 1, 3
          a(3*i+k) = a(3*i+k)
     :      + tmp*(n0(k) - nv_c * n0(k) - v(3*i+k)*(AU/day)/c)
        enddo
      enddo

      return
      end


c a_rp = (Q_ab + g Q_sc) Phi S / (m c) (\vec n - n\cdot v/c \vec n - \vec v/c)
c
c Phi S / (m c) = S_/r^2 pi R^2 / (4/3 pi R^3 rho c) = 3/4 S_ / (R rho c) / r^2
c
c a_rp = (Q_ab + g Q_sc) 3/4 S_ / (R rho c^2) / r^2 * (\vec n * c - n\cdot v \vec n - \vec v)
c                                               
c AU/day^2                                      AU                     AU/day


