c  common.inc
c  Globalni promenne ve spolecnem bloku.
c  Miroslav Broz (miroslav.broz@email.cz), Oct 1st 2008

      integer nmax
      parameter (nmax = 100)

      double precision pi, AU, day, c, L_S
      parameter (pi = 3.1415926535d0)	! pi []
      parameter (AU = 1.49597870691d11)	! astronomicka jednotka [AU]
      parameter (day = 86400.d0)	! den [s]
      parameter (c = 299792458.d0)	! rychlost svetla [m/s]
      parameter (L_S = 3.846d26)	! zarivy vykon Slunce [W]

      integer npl			! pocet teles s m > 0
      double precision Gm(nmax)		! hmotnosti * G
      double precision Q_ab, Q_sc, g	! faktory absoprce a rozptylu
      double precision Radius(nmax)	! polomery [m]
      double precision rho(nmax)	! hustoty [kg/m^3]

      common Gm, Q_ab, Q_sc, g, Radius, rho, npl


