#!/usr/bin/awk -f

# heliocentric.awk
# Transformace do heliocentricke soustavy.
# Miroslav Broz (miroslav.broz@email.cz), Apr 15th 2010

BEGIN{
  OFMT="%22.16f";
}
($2==1){
  r1 = $3;
  r2 = $4;
  r3 = $5;
  v1 = $6;
  v2 = $7;
  v3 = $8;
}
($2!=1){
  print $1,$2,$3-r1,$4-r2,$5-r3,$6-v1,$7-v2,$8-v3;
}


