#!/usr/bin/gnuplot

# tau_d.plt
# Odhad zivotni doby prachove castice dle Bertotti et al. (2003).
# Miroslav Broz (miroslav.broz@email.cz), Apr 15th 2010

cm = 0.01
mum = 1.e-6

rho = 2.	# g/cm^3
R = 1*mum/cm	# cm
r = 2.3		# AU

tau_d = 7.e6 * rho * R * r**2	# yr

print "tau_d = ", tau_d, " yr"


